> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--connectors/types/inputs/resource-input.md).

# resourceInput

Specifies the configuration for a single resource.

### Examples

```graphql
input ResourceInput {
  id: String!
  parentId: String
  name: String!
  isMonitored: Boolean!
  resourceType: ResourceType
  credentialsId: String
}
```

### Fields

| Field                                                                                                        | Description                                                                                               | Supported fields |
| ------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------- | ---------------- |
| id `String!`                                                                                                 | Unique identifier of the resource                                                                         |                  |
| parentId `String`                                                                                            | Identifier of the parent resource (e.g. the zone id for a Cloudflare host). Omit for top-level resources. |                  |
| name `String!`                                                                                               | Name of the resource                                                                                      |                  |
| isMonitored `Boolean!`                                                                                       | Determines if the resource is being monitored                                                             |                  |
| resourceType [`ResourceType`](/api-documentation/api-reference/api--connectors/types/enums/resource-type.md) | Defines the category or classification of the resource                                                    |                  |
| credentialsId `String`                                                                                       | Corresponding credentials ID. Only relevant when saving resources from several credentials together       |                  |

### References

#### Fields with this object:

* [{} MonitorConnectorResourceInput.resources](/api-documentation/api-reference/api--connectors/types/inputs/monitor-connector-resource-input.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--connectors/types/inputs/resource-input.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
